Skip to content

Get All Attached Tag

GET
/api/v1/label/mapping/{resource_type}/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/label/mapping/{resource_type}/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'
resource_type
required
string
Allowed values: load_balancer volumes nodes eos sfs kubernetes dbass images cdp_backup cdn auto_scaling reserve_ip vpc eqs security_groups parameter_group firewall

Type of the resource to attach/detach tag.

project_id
required
integer
location
required
string
Allowed values: Delhi Chennai

Deployment region for the resource. Accepted values: Delhi, Chennai.

Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.

Successfully retrieved label mapping for a resource.

Media typeapplication/json
object
code
integer
data
Array<object>
object
resource_id
integer
resource_type
string
label_mapping
Array<object>
object
label_name
string
label_id
string
errors
object
message
string

Example

{
"code": 200,
"data": [
{
"resource_id": 235813,
"resource_type": "nodes",
"label_mapping": [
{
"label_name": "m",
"label_id": "2790"
}
]
}
],
"errors": {},
"message": "Success"
}